
SITETB - Feature #201

Etiqueta automática 8

10/11/2012 06:53 PM - Jorge Luiz da Rocha

Status: Closed Start date: 10/11/2012

Priority: Urgent Due date:  

Assignee: Jorge Luiz da Rocha % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Versão atual Spent time: 0.00 hour

Componente: Casos   

Description

Título: Ausência de cultura de acompanhamento (13º ao 18º mês)

Casos de TBDR com forma pulmonar ou ambas e cultura de diagnóstico positiva que não tenham registro de culturas de

acompanhamento do 13º ao 18º mês.

History

#1 - 10/23/2012 03:37 PM - Maurício Dos Santos

- Tracker changed from Melhoria to Feature

- Status changed from New to Feedback

- Assignee changed from Maurício Dos Santos to Jorge Luiz da Rocha

Conversaos dia 24/10 pois nao ficou claro.

#2 - 10/30/2012 10:21 AM - Maurício Dos Santos

Feito.

exists(select *

from tbcase c

inner join examculture ec on ec.case_id = c.id

where c.state in (1,2)

and c.classification in (1)

and c.infectionSite in (0,2)

and c.id in (select ca.id

from tbcase ca

inner join examculture ecu on ecu.case_id = ca.id

where ecu.datecollected = (select min(datecollected) from examculture where case_id = ca.id)

and ecu.result in (1,2,3,4))

and c.id not in (select ca.id

from tbcase ca

inner join examculture ecu on ecu.case_id = ca.id

where ecu.datecollected > (ca.iniTreatmentDate+361)

and ecu.datecollected < (ca.iniTreatmentDate+540))

and c.id = a.id)
#3 - 12/05/2012 09:24 AM - Maurício Dos Santos

- Status changed from Feedback to Closed

#4 - 02/07/2013 05:12 PM - Maurício Dos Santos

classification in (1)

and a.state in (1,2)

and a.infectionSite in (0,2)

and exists (select *

from examculture ec

where ec.case_id = a.id

and ec.dateCollected = (select min(dateCollected) from examculture ec2 where ec2.case_id = ec.case_id)

and ec.result in (1,2,3,4,5))

and not exists(select *

from examculture ecu

where ecu.case_id = a.id

and ecu.datecollected > (DATE_ADD(a.iniTreatmentDate, INTERVAL 361 DAY))

and ecu.datecollected < (DATE_ADD(a.iniTreatmentDate, INTERVAL 540 DAY)))

#5 - 02/07/2013 05:14 PM - Maurício Dos Santos

- Status changed from Closed to In Progress

#6 - 02/07/2013 06:02 PM - Maurício Dos Santos

- Status changed from In Progress to Closed
